<h4>template driven form</h4>
<form #contactForm="ngForm" (ngSubmit)="onsubmit(contactForm)">
    <p>
      <label >First Name</label>
      <input type="text" id="firstname"  name="firstname">
    </p>
   
    <p>
      <label>Last Name</label>
      <input type="text" id="lastname" name="lastname">
    </p>
   
    <p>
      <label>Email </label>
      <input type="text" id="email" name="email">
    </p>
   
    <p>
      <label >Geneder</label>
      <input type="radio" value="male" id="gender" name="gender"> Male
      <input type="radio" value="female" id="gender" name="gender"> Female
    </p>
   
    <p>
      <label>Married</label>
      <input type="checkbox" id="isMarried" name="isMarried">
    </p>
   
    <!-- <p>
    <label >country </label>
    <select name="country" id="country">
      <option selected="" value=""></option>
      <option [ngValue]="c.id" *ngFor="let c of countryList">
        {{c.name}}
      </option>
    </select>
    </p> -->
   
    <!-- <p>
        <button type="submit" [disabled]='!contactForm.valid'>Submit</button>
    </p>
    
    <input type="password" formControlName="fc2"><div *ngIf="fg.get('fc2').invalid && fg.get('fc2').touched">
        Please enter password of length 4 to 12 characters
      </div> -->
      
  </form>